<!-- manual page source format generated by PolyglotMan v3.0.8, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>netperf(1L) manual page</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>
<P>
 netperf - a network performance benchmark <P>
 
<H2><A NAME="sect1" HREF="#toc1">Synopsis</A></H2>
<P>
 <B>netperf</B> [global
options] -- [test specific options] <P>
 
<H2><A NAME="sect2" HREF="#toc2">Description</A></H2>
<B>Netperf</B> is a benchmark that
can be used to measure various aspects of networking performance. Currently,
its focus is on bulk data transfer and request/response performance using
either TCP or UDP, and the Berkeley Sockets interface. In addition, tests
for DLPI, the Fore ATM API, Unix Domain Sockets, and HP HiPPI LLA may be
conditionally compiled-in. <P>
 
<H3><A NAME="sect3" HREF="#toc3">Global Options</A></H3>
<P>
 
<DL>

<DT><B>-a sizespec</B> </DT>
<DD>Alter the send and
receive buffer alignments on the local system. This defaults to 8 bytes.
</DD>

<DT><B>-A sizespec</B> </DT>
<DD>As -a, but for the remote system. </DD>

<DT><B>-c [rate]</B> </DT>
<DD>Request CPU utilization
and service demand calculations for the local system. If the optional rate
parameter is specified, <B>netperf</B> will use that instead of calculating the
rate itself. </DD>

<DT><B>-C [rate]</B> </DT>
<DD>As -c, but for the remote system. </DD>

<DT><B>-d</B> </DT>
<DD>Increase the quantity
of debugging output displayed during a test (possibly at the expense of
performance). </DD>

<DT><B>-f GMKgmk</B> </DT>
<DD>Change the units of measure for stream tests. Capital
letters are powers of two, lowercase are powers of ten. </DD>

<DT><B>-F fill_file</B> </DT>
<DD>Pre-fill
the send buffers with data from the named file. This is intended to provide
a means for avoiding buffers that are filled with data which is trivially
easy to compress. A good choice for a file that should be present on any
system is this manpage - netperf.man. Other files may be provided as part
of the distribution. </DD>

<DT><B>-h</B> </DT>
<DD>Display a usage string, and exit. </DD>

<DT><B>-H remote_host</B> </DT>
<DD>Set
the hostname (or IP address) of the remote system. </DD>

<DT><B>-i max,min</B> </DT>
<DD>Set the maximum
and minimum number of iterations when trying to reach certain confidence
levels. </DD>

<DT><B>-I lvl,[,intvl]</B> </DT>
<DD>Specify the confidence level (either 95 or 99 - 99
is the default) and the width of the confidence interval as a percentage
(default 10) </DD>

<DT><B>-l testlen</B> </DT>
<DD>Specify the length of the test (default 10 seconds).
A negative value sets the number of request/response transactions, or the
number of bytes for a stream test. </DD>

<DT><B>-n numcpus</B> </DT>
<DD>Specify the number of CPU's
in the system on those systems for which netperf has no way to find the
number of CPU's programatically. (all but HP-UX) </DD>

<DT><B>-o sizespec</B> </DT>
<DD>Set an offset
from the alignment specified with -a. </DD>

<DT><B>-O sizespec</B> </DT>
<DD>As -o, but for the remote
system. </DD>

<DT><B>-p portnum</B> </DT>
<DD>Connect to a <CODE>netsetver</CODE> listening on the specified port,
rather than using /etc/services. </DD>

<DT><B>-P 0|1</B> </DT>
<DD><A HREF="Show.1">Show (1)</A>
 or suppress (0) the test
banner. </DD>

<DT><B>-t testname</B> </DT>
<DD>Specify the test to perform. Valid testnames are (but
not always compiled-in): <blockquote><blockquote><BR>
<PRE>TCP_STREAMTCP_RRTCP_CRRUDP_STREAMUDP_RRDLCO_STREAMDLCO_RRDLCL_STREAMDLCL_RRSTREAM_STREAMSTREAM_RRDG_STREAMDG_RRFORE_STREAMFORE_RRHIPPI_STREAMHIPPI_RRLOC_CPUREM_CPU</PRE></DD>
</DL>
</blockquote>
</blockquote>

<DL>

<DT><B>-v
verbosity</B> </DT>
<DD>Set the verbosity level for the test (only with -P). </DD>

<DT><B>-V</B> </DT>
<DD>Enable the
copy-avoidance features (HP-UX 9.0 and later only). <P>
 </DD>
</DL>

<H3><A NAME="sect4" HREF="#toc4">Test Specific Options</A></H3>
<P>


<DL>

<DT><B>-h</B> </DT>
<DD>Display a usage string based on the test name set with -t, and exit. <P>
 Please
consult the netperf manual <I></I> Netperf: A Network Performance Benchamrk  (netperf.ps)
for more information. <P>
 </DD>
</DL>

<H2><A NAME="sect5" HREF="#toc5">Bugs</A></H2>
There is a fairly large list of known defects
and misfeatures in the manual. If you think you have found a bug, please
send email to Rick Jones &lt;raj@cup.hp.com&gt;. <P>
 
<H2><A NAME="sect6" HREF="#toc6">See Also</A></H2>
<CODE>netserver</CODE> <BR>
<I></I> Netperf: A Network Performance Benchmark <BR>
<P>
<A HREF="http://www.cup.hp.com/netperf/NetperfPage.html">http://www.cup.hp.com/netperf/NetperfPage.html</A>
 <P>
 
<H2><A NAME="sect7" HREF="#toc7">Authors</A></H2>
HP Information Networks
Division - Networking Performance Team. <BR>
Rick Jones<tt> </tt>&nbsp;<tt> </tt>&nbsp;&lt;raj@cup.hp.com&gt; <BR>
Karen Choy<tt> </tt>&nbsp;<tt> </tt>&nbsp;HP IND <BR>
Dave Shield<tt> </tt>&nbsp;<tt> </tt>&nbsp;&lt;daves@csc.liv.ac.uk&gt;<tt> </tt>&nbsp;<tt> </tt>&nbsp;(man pages) <BR>
Others too numerous to mention here - see the ACKNWLDGMNTS file <P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<UL>
<LI><A NAME="toc3" HREF="#sect3">Global Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">Test Specific Options</A></LI>
</UL>
<LI><A NAME="toc5" HREF="#sect5">Bugs</A></LI>
<LI><A NAME="toc6" HREF="#sect6">See Also</A></LI>
<LI><A NAME="toc7" HREF="#sect7">Authors</A></LI>
</UL>
</BODY></HTML>
