<!-- manual page source format generated by PolyglotMan v3.0.8, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>tcptrace(1) manual page</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>
tcptrace - a TCP connection analysis tool 
<H2><A NAME="sect1" HREF="#toc1">Synopsis</A></H2>
<B>tcptrace [options]
filename</B> 
<H2><A NAME="sect2" HREF="#toc2">Description</A></H2>
tcptrace takes a tcpdump file specified on the command
line (or from standard input) and produces a summarization of the connections.

<H2><A NAME="sect3" HREF="#toc3">Options</A></H2>
<BR>
Output format options 
<DL>

<DT><B>-b</B> </DT>
<DD>brief output format </DD>

<DT><B>-l</B> </DT>
<DD>long output format </DD>

<DT><B>-r</B> </DT>
<DD>print
rtt statistics (slower for large files) </DD>

<DT><B>-W</B> </DT>
<DD>report on estimated congestion
window (not generally useful) </DD>

<DT><B>-q</B> </DT>
<DD>no output (if you just want modules output)
</DD>
</DL>
<P>
Graphing options 
<DL>

<DT><B>-T</B> </DT>
<DD>create throughput graph[s], (average over 10 segments,
see -A) </DD>

<DT><B>-R</B> </DT>
<DD>create rtt sample graph[s] </DD>

<DT><B>-S</B> </DT>
<DD>create time sequence graph[s] </DD>

<DT><B>-N</B> </DT>
<DD>create
cwin graph[s] (data on _N_etwork) </DD>

<DT><B>-F</B> </DT>
<DD>create segsize graph[s] </DD>

<DT><B>-G</B> </DT>
<DD>create ALL
graphs </DD>
</DL>
<P>
Output format detail options 
<DL>

<DT><B>-D</B> </DT>
<DD>print in decimal </DD>

<DT><B>-X</B> </DT>
<DD>print in hexidecimal
</DD>

<DT><B>-n</B> </DT>
<DD>don't resolve host or service names (much faster) </DD>

<DT><B>-s</B> </DT>
<DD>use short names (list
"picard.cs.ohiou.edu" as just "picard") </DD>
</DL>
<P>
Connection filtering options 
<DL>

<DT><B>-iN</B> </DT>
<DD>ignore
connection N (can use multiple times) </DD>

<DT><B>-oN</B> </DT>
<DD>only connection N (can use multiple
times) (if N is not a number but a file, read list from file instead) </DD>

<DT><B>-c</B>
</DT>
<DD>ignore non-complete connections (didn't see syn's and fin's) </DD>

<DT><B>-BN</B> </DT>
<DD>first segment
number to analyze (default 1) </DD>

<DT><B>-EN</B> </DT>
<DD>last segment number to analyze (default
last in file) </DD>
</DL>
<P>
Graphing detail options 
<DL>

<DT><B>-C</B> </DT>
<DD>produce color plot[s] </DD>

<DT><B>-M</B> </DT>
<DD>produce
monochrome (b/w) plot[s] </DD>

<DT><B>-AN</B> </DT>
<DD>Average N segments for throughput graphs, default
is 10 </DD>

<DT><B>-z</B> </DT>
<DD>zero axis options: </DD>

<DT><B>-z</B> </DT>
<DD>plot time axis from 0 rather than wall clock
time (backward compat) </DD>

<DT><B>-zx</B> </DT>
<DD>plot time axis from 0 rather than wall clock
time </DD>

<DT><B>-zy</B> </DT>
<DD>plot sequence numbers from 0 (time sequence graphs only) </DD>

<DT><B>-zxy</B> </DT>
<DD>plot
both axes from 0 </DD>

<DT><B>-y</B> </DT>
<DD>omit the (yellow) instantaneous throughput points in
tput graph </DD>
</DL>
<P>
Misc options 
<DL>

<DT><B>-Z</B> </DT>
<DD>dump raw rtt sample times to file[s] </DD>

<DT><B>-p</B> </DT>
<DD>print
all packet contents (can be very long) </DD>

<DT><B>-P</B> </DT>
<DD>print packet contents for selected
connections </DD>

<DT><B>-t</B> </DT>
<DD>'tick' off the packet numbers as a progress indication </DD>

<DT><B>-fEXPR</B>
</DT>
<DD>output filtering (see -hfilter) </DD>

<DT><B>-v</B> </DT>
<DD>print version information and exit </DD>

<DT><B>-w</B> </DT>
<DD>print
various warning messages </DD>

<DT><B>-d</B> </DT>
<DD>whistle while you work (enable debug, use -d
-d for more output) </DD>

<DT><B>-e</B> </DT>
<DD>extract contents of each TCP stream into file </DD>

<DT><B>-h</B> </DT>
<DD>print
help messages </DD>

<DT><B>-u</B> </DT>
<DD>print minimal UDP information too </DD>

<DT><B>-Ofile</B> </DT>
<DD>dump matched packets
to tcpdump file 'file' </DD>

<DT><B>+[v]</B> </DT>
<DD>reverse the setting of the -[v] flag (for booleans)
</DD>
</DL>
<P>
Obscure Options 
<DL>

<DT><B>--showsacks</B> </DT>
<DD>show SACK blocks on time sequence graphs </DD>

<DT><B>--noshowsacks</B>
</DT>
<DD>DON'T show SACK blocks on time sequence graphs </DD>

<DT><B>--showrexmit</B> </DT>
<DD>mark retransmits
on time sequence graphs </DD>

<DT><B>--noshowrexmit</B> </DT>
<DD>DON'T mark retransmits on time sequence
graphs </DD>

<DT><B>--showoutorder</B> </DT>
<DD>mark out-of-order on time sequence graphs </DD>

<DT><B>--noshowoutorder</B>
</DT>
<DD>DON'T mark out-of-order on time sequence graphs </DD>

<DT><B>--showzerowindow</B> </DT>
<DD>mark zero windows
on time sequence graphs </DD>

<DT><B>--noshowzerowindow</B> </DT>
<DD>DON'T mark zero windows on time
sequence graphs </DD>
</DL>
<P>
Module options 
<DL>

<DT><B>-xMODULE_SPECIFIC</B> </DT>
<DD>(see -hxargs for details)
</DD>
</DL>
<P>

<H2><A NAME="sect4" HREF="#toc4">Environment</A></H2>
Options are first read from the file $HOME/.tcptracerc (if it
exists), and then from the environment variable TCPTRACEOPTS (if it exists),
and finally from the command line. 
<H2><A NAME="sect5" HREF="#toc5">Author</A></H2>
Shawn Ostermann ostermann@cs.ohiou.edu

<H2><A NAME="sect6" HREF="#toc6">Credits</A></H2>
Thanks to Mark Foster for writing this manual page 
<H2><A NAME="sect7" HREF="#toc7">Files</A></H2>
Dump File
Names <BR>
Trailing (unrecognized) arguments are taken to be one or more filenames.
The files can be compressed, see compress.h for configuration. If the dump
file name is 'stdin', then we read from standard input rather than from a
file. 
<H2><A NAME="sect8" HREF="#toc8">See Also</A></H2>

<DL>

<DT><B>xplot</B> </DT>
<DD>an interactive tool for examining .xpl files output by
tcptrace. <P>
 </DD>
</DL>
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">Environment</A></LI>
<LI><A NAME="toc5" HREF="#sect5">Author</A></LI>
<LI><A NAME="toc6" HREF="#sect6">Credits</A></LI>
<LI><A NAME="toc7" HREF="#sect7">Files</A></LI>
<LI><A NAME="toc8" HREF="#sect8">See Also</A></LI>
</UL>
</BODY></HTML>
